Openembedded Core Discussions
 help / color / mirror / Atom feed
* [PATCH] scripts/autobuilder-worker-prereq-tests: adjust max_user_watches
@ 2018-11-05 17:10 Michael Halstead
  0 siblings, 0 replies; only message in thread
From: Michael Halstead @ 2018-11-05 17:10 UTC (permalink / raw)
  To: openembedded-core

Temporarily modify path to run as non-privileged user on more distros.
Change the recommended value to match what we use on the autobuilder.

Signed-off-by: Michael Halstead <mhalstead@linuxfoundation.org>
---
 scripts/autobuilder-worker-prereq-tests | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/scripts/autobuilder-worker-prereq-tests b/scripts/autobuilder-worker-prereq-tests
index c0148fbce8..bb46c69135 100755
--- a/scripts/autobuilder-worker-prereq-tests
+++ b/scripts/autobuilder-worker-prereq-tests
@@ -34,10 +34,11 @@ if [ "$?" != "0" ]; then
     echo "Bitbake parsing failed"
     exit 1
 fi
-WATCHES=`sysctl fs.inotify.max_user_watches -n`
-if (( $WATCHES < 100000 )); then
-    echo 'Need to increase watches (echo fs.inotify.max_user_watches=524288 | sudo tee -a /etc/sysctl.conf'
-    #exit 1
+
+WATCHES=$(PATH="/sbin:/usr/sbin:$PATH" sysctl fs.inotify.max_user_watches -n)
+if (( $WATCHES < 65000 )); then
+    echo 'Need to increase watches (echo fs.inotify.max_user_watches=65536 | sudo tee -a /etc/sysctl.conf'
+    exit 1
 fi
 mkdir -p tmp/deploy/images/qemux86-64
 pushd tmp/deploy/images/qemux86-64
-- 
2.17.2



^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2018-11-05 17:11 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2018-11-05 17:10 [PATCH] scripts/autobuilder-worker-prereq-tests: adjust max_user_watches Michael Halstead

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox